Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ObjectKey_Table.h File Reference

`#include "ace/RB_Tree.h"`
`#include "ace/Null_Mutex.h"`
`#include "tao/Object_KeyC.h"`
`#include "tao/Versioned_Namespace.h"`

Include dependency graph for ObjectKey_Table.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
## Classes
class | TAO::Less_Than_ObjectKey
| Compares the length and then the contents of ObjectKeys. More...
class | TAO::ObjectKey_Table
| Table that maintains the set of ObjectKey's seen by the ORB. More...

## Detailed Description

Id
  ObjectKey_Table.h,v 1.8 2005/11/02 07:13:04 ossama Exp

Author:
  Balachandran Natarajan <bala@dre.vanderbilt.edu>